Subject: Re: [PATCH] git-branch --with=commit

From: Jan Hudec <[email-masked]>
Date: Thu, 15 Nov 2007 18:27:26 +0100

On Thu, Nov 08, 2007 at 10:17:52 +0100, Andreas Ericsson wrote:
> Junio C Hamano wrote:
>> Johannes Sixt <[email-masked]> writes:
>>
>>> Junio C Hamano schrieb:
>>
>>>> With this patch, I could do this to find out which topic
>>>> branches already contain the faulty commit:
>>>>
>>>>     $ git branch --with=maint^ | grep /
>>>>       xx/maint-fix-foo
>>> It'd be helpful if you could construct the example in this commit
>>> message such that you don't need the "grep /" here; otherwise, the
>>> reader doesn't know which part of the effect is hidden by the grep.
>>
>> Yeah, in the example sequence, I think only maint itself and
>> xx/maint-fix-foo are shown, so there is no need for grep.
>
> And "maint" could certainly be stripped by the code itself, since the
> user can reasonably be expected to know that plain maint will have
> everything maint^ has.

DWIDNS (Do what I did not say).

Normally one would expect 'git branch --with=maint^' and
'git branch --with=$(git ref-parse maint^)' to be exactly the same. Alas,
with your suggestion, they would not.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>